<mat-card [ngClass]="{'item-card':true, 'selected':(item.itemId === selectedId)}">
  <mat-card-content>
    <div class="item-picture">
      <img [src]="getPictureLink()" height="100%">
    </div>
    <div class="item-information">
      <p>
        <strong>{{ item.itemId }}</strong><br>
        {{ item.itemName + ", " + item.itemCategory.categoryName }}<br>
        {{ item.itemBuyPrice | currency:'IDR ':'symbol-narrow':'1.0-0' }}
      </p>
    </div>
    <div class="buy-date">
      <p>{{ item.itemBuyDate | date : 'dd MMM y' }}</p>
    </div>
    <div class="selector">
      <p *ngIf="item.itemTransaction" matTooltip="Barang terjual"><img [src]="getSoldIcon()"></p>
      <i *ngIf="item.itemEntrustedStatus" class="material-icons" matTooltip="Barang milik {{ item.itemEntrustedStatus }}">mood</i>
      <i class="material-icons">chevron_right</i>
    </div>
  </mat-card-content>
</mat-card>
